Index: contrib/crossrpms/gcc/base-g77.add
===================================================================
--- contrib/crossrpms/gcc/base-g77.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/base-g77.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -12,9 +12,4 @@
 Requires(post): 	/sbin/install-info
 Requires(preun): 	/sbin/install-info
-
-Provides:	@rpmprefix@rtems4.7-base-g77 = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-g77 < %{gcc_rpmvers}-%{release}
-Provides:	@rpmprefix@rtems-base-g77 = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-g77 < %{gcc_rpmvers}-%{release}
 
 %description -n @rpmprefix@gcc-g77-common
Index: contrib/crossrpms/gcc/base-gcc.add
===================================================================
--- contrib/crossrpms/gcc/base-gcc.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/base-gcc.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -1,5 +1,5 @@
 %if %build_infos
 # ==============================================================
-# @rpmprefix@rtems4.7-base-gcc
+# @rpmprefix@gcc-common
 # ==============================================================
 %package -n @rpmprefix@gcc-common
@@ -11,9 +11,4 @@
 Requires(post): 	/sbin/install-info
 Requires(preun):	/sbin/install-info
-
-Provides:	@rpmprefix@rtems4.7-base-gcc = %{gcc_version}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-gcc < %{gcc_rpmvers}-%{release}
-Provides:	@rpmprefix@rtems-base-gcc = %{gcc_version}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-gcc < %{gcc_rpmvers}-%{release}
 
 %description -n @rpmprefix@gcc-common
Index: contrib/crossrpms/gcc/base-gcj.add
===================================================================
--- contrib/crossrpms/gcc/base-gcj.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/base-gcj.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -12,9 +12,4 @@
 Requires(post): 	/sbin/install-info
 Requires(preun):	/sbin/install-info
-
-Provides:	@rpmprefix@rtems4.7-base-gcj = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-gcj < %{gcc_rpmvers}-%{release}
-Provides:	@rpmprefix@rtems-base-gcj = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-gcj < %{gcc_rpmvers}-%{release}
 
 %description -n @rpmprefix@gcc-gcj-common
Index: contrib/crossrpms/gcc/base-gfortran.add
===================================================================
--- contrib/crossrpms/gcc/base-gfortran.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/base-gfortran.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -11,9 +11,4 @@
 Requires(post): 	/sbin/install-info
 Requires(preun):	/sbin/install-info
-
-Provides:	@rpmprefix@rtems4.7-base-gfortran = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-gfortran < %{gcc_rpmvers}-%{release}
-Provides:	@rpmprefix@rtems-base-gfortran = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-gfortran < %{gcc_rpmvers}-%{release}
 
 %description -n @rpmprefix@gcc-gfortran-common
Index: contrib/crossrpms/gcc/base-gnat.add
===================================================================
--- contrib/crossrpms/gcc/base-gnat.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/base-gnat.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -11,9 +11,4 @@
 Requires(post): 	/sbin/install-info
 Requires(preun):	/sbin/install-info
-
-Provides:	@rpmprefix@rtems4.7-base-gnat = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-gnat < %{gcc_rpmvers}-%{release}
-Provides:	@rpmprefix@rtems-base-gnat = %{gcc_rpmvers}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-gnat < %{gcc_rpmvers}-%{release}
 
 %description -n @rpmprefix@gcc-gnat-common
Index: contrib/crossrpms/gcc/base-newlib.add
===================================================================
--- contrib/crossrpms/gcc/base-newlib.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/base-newlib.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -9,15 +9,4 @@
 Version:        %{newlib_version}
 License:	Distributable
-
-Provides:	@rpmprefix@rtems4.7-base-newlib = %{newlib_version}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-newlib < %{newlib_version}-%{release}
-Provides:	@rpmprefix@rtems-base-newlib = %{newlib_version}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-newlib < %{newlib_version}-%{release}
-
-Provides:	@rpmprefix@rtems4.7-base-libc = %{newlib_version}-%{release}
-Obsoletes:	@rpmprefix@rtems4.7-base-libc < %{newlib_version}-%{release}
-Provides:	@rpmprefix@rtems-base-libc = %{newlib_version}-%{release}
-Obsoletes:	@rpmprefix@rtems-base-libc < %{newlib_version}-%{release}
-
 
 Requires(post): 	/sbin/install-info
Index: contrib/crossrpms/gcc/target-gcc.add
===================================================================
--- contrib/crossrpms/gcc/target-gcc.add	(revision 4acc7e24d571c83777dcb4ee2d2b7cc3215ca3ed)
+++ contrib/crossrpms/gcc/target-gcc.add	(revision 86a30d08e34873445a3765ae99d9a0150977690d)
@@ -38,5 +38,5 @@
 %dir %{gcclib}/@tool_target@/%{gcc_version}/include
 %if "%{gcc_version}" > "4.0.3"
-%if "@tool_target@" != "bfin-rtems4.7"
+%if "@tool_target@" != "bfin-rtems4.8"
 %dir %{gcclib}/@tool_target@/%{gcc_version}/include/ssp
 %endif
